al_color_rgb_to_html(3)

NAME

al_color_rgb_to_html - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    void al_color_rgb_to_html(float red, float green, float blue,
        char *string)

DESCRIPTION

Create an HTML-style string representation of an ALLEGRO_COLOR(3), e.g. #00faff.

Parameters:

•   red, green, blue - The color components in the range 0..1.

•   string - A pointer to a buffer of at least 8 bytes, into which the result will be written (including the NUL terminator).

Example:

    char html[8];
    al_color_rgb_to_html(1, 0, 0, html);

Now html will contain "#ff0000".

SEE ALSO

al_color_html(3), al_color_html_to_rgb(3)